Get a fulfillment user
GET /v2/fulfillment/users/{user_id}
Retrieves a fulfillment user by its user_id, which is the same identifier your application provided in create user or create user and validate an address.
Security
| Name | In | Description |
|---|---|---|
Authorization | header | The Authorization header with the bearer token acquired during authentication. |
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
user_id | path | string | The external ID of the user to fetch (as provided when the user was created). |
Response
| Field | Type | Required | Description |
|---|---|---|---|
first_name | string | The user's first name. | |
last_name | string | The user's last name. | |
phone_number | string | The user's phone number. |
Response examples
Success
200User retrieved
{
"first_name": "Jane",
"last_name": "Doe",
"phone_number": "+15551234567"
}
4XX Errors
Error responses return either a single error or multiple errors.
| HTTP Code | Cause | Error Message | Error Code | Error Meta |
|---|---|---|---|---|
400 | userNotFound | "User Not Found" | 1001 | Not applicable |
403 | userNotActive | "User Not Active" | | Not applicable |